INSTALLPKG(8)

NOMBRE
installpkg - instalar paquetes de Slackware.

SINOPSIS
installpkg [ --warn ] [ --md5sum ] [ --root /otraraíz ] [ --infobox ] [ --menu ] [ --terse ] [ --ask ] [ --priority ADD|REC|OPT|SKP ] [ --tagfile /directorio/tagfile ] nombrepaquete [ nombrepaquete2 ... ]

DESCRIPCIÓN
installpkg instala en su sistema uno o varios paquetes binarios *.tgz (o .tbz, .tlz, .txz) diseñados para ser usados con la distribución Slackware Linux.

OPCIONES

--warn nombrepaquete
    Genera a la salida estándar una lista de archivos que serían reemplazados, pero en realidad no instala el paquete. La lista es formateada de una manera apropiada para ser usada como una lista de archivos para respaldar.

--md5sum nombrepaquete
    Almacena el md5sum del paquete en los metadatos escritos en /var/log/packages.

--root /otraraíz
    Instalar usando una ubicación diferente de / (la estándar) como la raíz del sistema de archivos a instalar. En el ejemplo dado, se usa /otraraíz. Cambiar la variable de ambiente ROOT hace lo mismo.

--infobox
    Usar /bin/dialog para desplegar una caja de diálogo de información mientras se instala el paquete. Principalmente usado cuando installpkg es llamado desde otros scripts.

--menu
    Usar /bin/dialog para desplegar un menú para preguntar al usuario si desea instalar los paquetes o no. Generalmente usado cuando installpkg se llama desde otros scripts.

--terse
    Instalar el paquete mostrando solo una línea de descripción a la salida estándar.

--ask
    Usado con el modo --menu. Cuando se selecciona, pregunta siempre si un paquete debe ser instalado sin tener en cuenta la prioridad que tenga el paquete.

--priority ADD|REC|OPT|SKP
    Cuando se instala con la opción --menu, los niveles de prioridad de paquetes (que se encuentran en el archivo "tagfile" en el directorio de los paquetes) son usados para automáticamente instalar (ADD), saltarse (SKP) un paquete, o para sugerir al usuario un paquete recomendado (REC) u opcional (OPT) si se muestra un menú. Si se especifica una prioridad en la línea de comandos, esta será utilizada en lugar de los valores definidos en el tagfile para la lista completa de paquetes.

--tagfile /directorio/tagfile
    Especificar un archivo diferente para ser usado como prioridades de paquetes (en este ejemplo /directorio/tagfile será usado). El valor estándar es "tagfile" en el directorio de paquetes.

EJEMPLOS

Instalar un paquete de tipos de letra para X:

installpkg font-bh-ttf-1.0.3-noarch-1.txz

Tenga en cuenta que si un paquete ya está instalado, sería mejor usar upgradepkg(8).

Crear un respaldo de los archivos que serían reemplazados si el paquete es instalado:

tar czvf /tmp/respaldo.tar.gz \
  $(installpkg --warn font-bh-ttf-1.0.3-noarch-1.txz)

AUTOR
Patrick J. Volkerding <volkerdi@slackware.com>

VER TAMBIÉN
makepkg(8), removepkg(8), explodepkg(8), pkgtool(8), upgradepkg(8)